-- [Game-Configuration]

--[sound]
--s_MusicEnable = 1;
s_MusicVolume = 255;
s_DopplerEnable = 0;
s_EnableSoundFX = 0;

--[controls]
Input:ResetAllBindings();
Input:BindAction("MOVE_FORWARD", "w", "default", 0);
Input:BindAction("MOVE_BACKWARD", "s", "default", 0);
Input:BindAction("MOVE_LEFT", "a", "default", 0);
Input:BindAction("MOVE_RIGHT", "d", "default", 0);
Input:BindAction("RUNSPRINT", "lshift", "default", 0);
Input:BindAction("TURNLR", "maxisx", "default", 0);
Input:BindAction("TURNUD", "maxisy", "default", 0);
--Input:BindAction("JUMP", "spacebar", "default", 0);

Input:BindAction("MOVE_FORWARD", "up", "default", 1);
Input:BindAction("MOVE_BACKWARD", "down", "default", 1);
Input:BindAction("MOVE_LEFT", "left", "default", 1);
Input:BindAction("MOVE_RIGHT", "right", "default", 1);
Input:BindAction("RUNSPRINT", "rctrl", "default", 1);
--Input:BindAction("JUMP", "numpad0", "default", 1);

Input:BindAction("CHANGE_VIEW", "f1", "default", 0);
Input:BindAction("TAKESCREENSHOT", "f12", "default", 0);

--Input:SetMouseSensitivity(16.0000);
--Input:SetInvertedMouse(0);

--[graphics & system]
--[DO NOT OVERWRITE THIS!]

--general
e_obj_view_dist_ratio = 100;
ui_BackGroundVideo = 0;
System:IsPS20Supported();

--textures
r_TexResolution = 0;
r_TexSkyResolution = 0;
r_TexBumpResolution = 0;
e_detail_texture_quality = 1;
r_DetailTextures = 1;
r_DetailNumLayers = 2;
r_DetailDistance = 16;

--texture filter
d3d9_TextureFilter = TRILINEAR;
GL_TextureFilter = GL_LINEAR_MIPMAP_LINEAR;

--anisotropic filtering
r_Texture_Anisotropic_Level = 8;

--particle count
e_particles_max_count = 8192;
e_particles_lod = 1.0;

--special effects
r_MotionBlur = 1;
r_Glare = 1;
r_GlareQuality = 2;
r_Flares = 1;
r_checkSunVis = 2;
r_Coronas = 1;
r_CoronaFade = 0.125;
r_HeatHaze = 1;
r_ScopeLens_fx = 1;
r_ProcFlares = 1;
r_CryvisionType = 0;
r_DisableSfx = 0;
r_Beams = 1;
es_EnableCloth = 1;

--environment
r_VolumetricFog = 1;
r_EnvCMResolution = 2;
r_EnvCMupdateInterval = 0.05;
r_EnvTexResolution = 3;
r_EnvTexUpdateInterval = 0.001;
e_decals = 1;
e_decals_life_time_scale = 3.0;
ca_EnableDecals = 1;
e_overlay_geometry = 1;
e_obj_lod_ratio = 10;
e_vegetation_sprites_distance_ratio = 1.0;
e_cgf_load_lods = 0;
e_vegetation_min_size = 0;
e_flocks = 1;
e_EntitySuppressionLevel = 0;
sys_skiponlowspec = 0;

--shadows (not needed, so turning off)
e_stencil_shadows = 0;
e_shadow_maps = 0;
e_active_shadow_maps_receving = 0;
r_ShadowBlur = 0;

--water
r_WaterRefractions = 1;
r_WaterReflections = 1;
r_WaterUpdateFactor = 0.001;
r_Quality_Reflection = 1;
e_beach = 1;
e_use_global_fog_in_fog_volumes = 0;

--lighting
r_Quality_BumpMapping = 3;
r_Vegetation_PerpixelLight = 1;
e_light_maps_quality = 2;
ca_ambient_light_intensity = 0.2;
ca_ambient_light_range = 10;
e_max_entity_lights = 4;
e_stencil_shadows_only_from_strongest_light = 0;
p_lightrange = 15;
r_EnvLightCMSize = 16;
r_EnvLCMupdateInterval = 0.05;
cl_projectile_light = 1;
cl_weapon_light = 2;